Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class NewMetaMethod

- org.codehaus.groovy.runtime.metaclass.NewMetaMethod

-     public class NewMetaMethod
      extends ReflectionMetaMethod

  Base class for NewInstanceMetaMethod and NewStaticMetaMethod

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static CachedClass[]` | `EMPTY_TYPE_ARRAY` |
    `protected CachedClass[]` | `bytecodeParameterTypes` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ReflectionMetaMethod` | `method`
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NewMetaMethod(CachedMethod method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedClass[]` | `getBytecodeParameterTypes()`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public CachedClass` | `getOwnerClass()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ReflectionMetaMethod` | `getCachedMethod, getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Field Detail

    - #### protected static final CachedClass[] EMPTY_TYPE_ARRAY

    - #### protected CachedClass[] bytecodeParameterTypes

  - ### Constructor Detail

    - #### public NewMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### public CachedClass[] getBytecodeParameterTypes()

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### public CachedClass getOwnerClass()